import { jsx as _jsx } from "react/jsx-runtime";
import cx from 'classnames';
export default function FormSelect(_ref) {
  var _cx;

  var className = _ref.className,
      disabled = _ref.disabled,
      onChange = _ref.onChange,
      options = _ref.options,
      prominent = _ref.prominent,
      required = _ref.required,
      title = _ref.title,
      value = _ref.value;
  var selectClassName = cx('sui-FormSelect', className, (_cx = {
    'is-disabled': disabled
  }, _cx["sui-FormSelect--prominent"] = prominent, _cx));

  var wrappedOnChange = function wrappedOnChange(e) {
    return onChange(e, {
      value: e.target.value
    });
  };

  return /*#__PURE__*/_jsx("select", {
    className: selectClassName,
    disabled: disabled,
    onChange: wrappedOnChange,
    title: title,
    value: value,
    required: required,
    children: options.map(function (_ref2, index) {
      var content = _ref2.content,
          key = _ref2.key,
          value = _ref2.value;
      var optionKey = key || index;
      return /*#__PURE__*/_jsx("option", {
        value: value,
        children: content
      }, optionKey);
    })
  });
}
FormSelect.displayName = 'FormSelect'; // Remove these comments if you need